--------------------------------------------------------------
-- Hand-coded indexes...
--------------------------------------------------------------
CREATE UNIQUE INDEX ADObject_GUID1  ON ADObject( GUID, OVER, OID );
CREATE UNIQUE INDEX ADObject_GUID2  ON ADObject( OID, OVER, GUID );

CREATE INDEX ADLink_SourceI1 ON ADLink_Source( SourceOID, SourceOVer );
CREATE INDEX ADLink_TargetI1 ON ADLink_Target( RelOID, RelOVer );
CREATE INDEX ADLink_TargetI2 ON ADLink_Target( TargetOID, TargetOVer, ClassAttr );

CREATE UNIQUE INDEX NuVersionsContext ON nuVersions( contextId, oid, oVer ); 

CREATE UNIQUE INDEX TCCollectorType ON TCCollectorClass( typeName, OID );
CREATE UNIQUE INDEX TCCollectorOIDType ON TCCollectorClass( OID, typeName );
